Merge lp:~allison/ubuntu/oneiric/libnet-server-perl/fix-ftbfs-spec-file into lp:ubuntu/oneiric/libnet-server-perl

Proposed by Allison Randal
Status: Merged
Merged at revision: 13
Proposed branch: lp:~allison/ubuntu/oneiric/libnet-server-perl/fix-ftbfs-spec-file
Merge into: lp:ubuntu/oneiric/libnet-server-perl
Diff against target: 173 lines (+7/-146)
3 files modified
debian/changelog (+7/-0)
debian/patches/00list (+0/-1)
debian/patches/02_spec.dpatch (+0/-145)
To merge this branch: bzr merge lp:~allison/ubuntu/oneiric/libnet-server-perl/fix-ftbfs-spec-file
Reviewer Review Type Date Requested Status
Colin Watson Approve
Review via email: mp+76124@code.launchpad.net

Description of the change

The libnet-server-perl package currently has a build failure, caused by a missing VERSION variable in the file Net-Server.spec.PL. This file generates an RPM spec file, and was added to the Debian packages as a patch in 2004, at version 0.87-1. It appears to have been added to the Debian packaging in error. The file was part of the Perl module original tarball in version 0.86, but was dropped from the 0.87 release (the exact same release where it appeared as a patch in Debian).

There's no reason for us to keep maintaining an automatic RPM spec file generator that the upstream developers haven't wanted for 6 years. I've pushed a bzr branch that drops this patch, so we can immediately fix the FTBFS in Oneiric. I'll submit the change upstream to Debian too.

To post a comment you must log in.
Revision history for this message
Colin Watson (cjwatson) wrote :

Looks good to me, thanks!

review: Approve

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'debian/changelog'
2--- debian/changelog 2011-09-14 16:41:57 +0000
3+++ debian/changelog 2011-09-19 22:43:27 +0000
4@@ -1,3 +1,10 @@
5+libnet-server-perl (0.99-2ubuntu2) oneiric; urgency=low
6+
7+ * Fix FTBFS, remove ancient, unmaintained patch for generating
8+ RPM spec files.
9+
10+ -- Allison Randal <allison@canonical.com> Mon, 19 Sep 2011 15:17:48 -0700
11+
12 libnet-server-perl (0.99-2ubuntu1) oneiric; urgency=low
13
14 [ Colin Watson ]
15
16=== modified file 'debian/patches/00list'
17--- debian/patches/00list 2011-09-14 16:41:57 +0000
18+++ debian/patches/00list 2011-09-19 22:43:27 +0000
19@@ -1,4 +1,3 @@
20-02_spec
21 03_rt-cpan-65891-reap-children
22 04_fix-pod-error-in-http-manapage
23 05_ipv6-support
24
25=== removed file 'debian/patches/02_spec.dpatch'
26--- debian/patches/02_spec.dpatch 2008-03-04 12:35:17 +0000
27+++ debian/patches/02_spec.dpatch 1970-01-01 00:00:00 +0000
28@@ -1,145 +0,0 @@
29-#! /bin/sh -e
30-## 02_spec.dpatch by Carsten Wolff <carsten@wolffcarsten.de>
31-## (original made by some of the former maintainers)
32-##
33-## All lines beginning with `## DP:' are a description of the patch.
34-## DP: Comments USER and ACCESS entries in rscsi file.
35-
36-if [ $# -ne 1 ]; then
37- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
38- exit 1
39-fi
40-case "$1" in
41- -patch) patch -f --no-backup-if-mismatch -p1 < $0;;
42- -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
43- *)
44- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
45- exit 1;;
46-esac
47-
48-exit 0
49-
50-@DPATCH@
51---- libnet-server-perl-0.89.orig/Net-Server.spec.PL
52-+++ libnet-server-perl-0.89/Net-Server.spec.PL
53-@@ -0,0 +1,120 @@
54-+# Copyright (C) 2002 Rob Brown (bbb@cpan.org)
55-+# Generic rpm SPEC file generator.
56-+
57-+use strict;
58-+
59-+my $p = $1 if $0 =~ m%([^/]*)$%;
60-+my $output = shift or die "create what?";
61-+
62-+### Extract $VERSION from VERSION_FROM
63-+my $name;
64-+my $version;
65-+$INC{"ExtUtils/MakeMaker.pm"} = 1;
66-+sub WriteMakefile {
67-+ my %props = @_;
68-+ $name = $props{NAME} || die "Makefile.PL: Missing NAME";
69-+ if ($version = $props{VERSION}) {
70-+ # done
71-+ } elsif (my $version_from = $props{VERSION_FROM}) {
72-+ $@ = "";
73-+ $version = eval qq{
74-+ do "$version_from";
75-+ \$$name\::VERSION || die "$version_from: Missing VERSION";
76-+ };
77-+ die $@ if $@;
78-+ if (!defined $version) {
79-+ die "$version_from: Missing VERSION";
80-+ }
81-+ } else {
82-+ die "Makefile.PL: Could not determine version!";
83-+ }
84-+}
85-+do "Makefile.PL";
86-+if ($name) {
87-+ $name =~ s/::/-/g;
88-+} else {
89-+ die "Makefile.PL: Missing WriteMakefile";
90-+}
91-+
92-+$version || die "No version!";
93-+local $/ = undef;
94-+$_ = <DATA>;
95-+s/\@NAME\@/$name/g;
96-+s/\@VERSION\@/$version/g;
97-+
98-+open SPEC, ">$output" or die "$output: $!";
99-+print SPEC "# Automatically generated by $p\n";
100-+print SPEC;
101-+close SPEC;
102-+
103-+__DATA__
104-+%define perlmod @NAME@
105-+%define version @VERSION@
106-+%define release 1
107-+%define defperlver 5.6.1
108-+
109-+# Derived values
110-+%define name perl-%{perlmod}
111-+%define perlver %(rpm -q perl --queryformat '%%{version}' 2> /dev/null || echo %{defperlver})
112-+
113-+# Provide perl-specific find-{provides,requires}.
114-+%define __find_provides %( echo -n /usr/lib/rpm/find-provides && [ -x /usr/lib/rpm/find-provides.perl ] && echo .perl )
115-+%define __find_requires %( echo -n /usr/lib/rpm/find-requires && [ -x /usr/lib/rpm/find-requires.perl ] && echo .perl )
116-+
117-+Summary: Perl module %{class}::%{subclass}
118-+Name: %{name}
119-+Version: %{version}
120-+Release: %{release}
121-+Group: Development/Perl
122-+License: Artistic
123-+Source0: http://search.cpan.org/CPAN/authors/id/R/RH/RHANDOM/%{perlmod}-%{version}.tar.gz
124-+URL: http://search.cpan.org/~rhandom/Net-Server-%{version}/
125-+Vendor: Paul Seamons <paul@seamons.com>
126-+Packager: Paul Seamons <paul@seamons.com>
127-+BuildRequires: perl
128-+BuildArch: noarch
129-+BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot-%(id -u -n)
130-+Requires: perl = %{perlver}
131-+Provides: %{perlmod} = %{version}
132-+
133-+%description
134-+Net::Server is an extensible, class oriented module written in perl
135-+and intended to be the back end layer of internet protocol servers.
136-+
137-+%prep
138-+%setup -q -n %{perlmod}-%{version}
139-+
140-+%build
141-+%{__perl} Makefile.PL
142-+%{__make} OPTIMIZE="$RPM_OPT_FLAGS"
143-+%{__make} test
144-+
145-+%install
146-+rm -rf $RPM_BUILD_ROOT
147-+%{makeinstall} PREFIX=$RPM_BUILD_ROOT%{_prefix}
148-+[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
149-+# Clean up some files we don't want/need
150-+rm -rf `find $RPM_BUILD_ROOT -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs"`
151-+find $RPM_BUILD_ROOT%{_prefix} -type d | tac | xargs rmdir --ign
152-+
153-+%clean
154-+rm -rf $RPM_BUILD_ROOT
155-+HERE=`pwd`
156-+cd ..
157-+rm -rf $HERE
158-+
159-+%files
160-+%defattr(-,root,root)
161-+%doc README Changes examples
162-+%{_prefix}
163-+
164-+%changelog
165-+* Wed May 22 2002 Rob Brown <bbb@cpan.org>
166-+- RedHat style spec.
167-+- It is noarch because it is implemented in pure perl
168-+ (even including safe signal handling code).
169-+- Include upper directories too for cleaner and
170-+ safer rpm uninstall.
171-+- Perl module provides and requires dependencies.
172-+* Sat Apr 17 2002 Rob Brown <bbb@cpan.org>
173-+- initial creation

Subscribers

People subscribed via source and target branches